> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add allowed embed origins

> Add origins to the list allowed to embed this platform in an iframe. Existing origins are preserved; duplicates are ignored.



## OpenAPI

````yaml POST /v1/embed-subdomain/allowed-embed-origins
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/embed-subdomain/allowed-embed-origins:
    post:
      tags:
        - embedding
      description: >-
        Add origins to the list allowed to embed this platform in an iframe.
        Existing origins are preserved; duplicates are ignored.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/embeddingInput'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  allowedEmbedOrigins:
                    type: array
                    items:
                      type: string
                required:
                  - allowedEmbedOrigins
                additionalProperties: false
      security:
        - apiKey: []
components:
  schemas:
    embeddingInput:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/embeddingInput'
      type: object
      properties:
        allowedEmbedOrigins:
          minItems: 1
          maxItems: 50
          type: array
          items:
            type: string
            maxLength: 300
            format: uri
      required:
        - allowedEmbedOrigins
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````